import { jsxs, jsx } from "react/jsx-runtime";
import { useEffect } from "react";
import $ from "jquery";
import Navbar from "./Navbar-CN8a06kN.js";
import Footer from "./Footer-Bnveg2Tv.js";
import HeroSection from "./HeroSection-Dxb7zTIe.js";
import AboutSection from "./AboutSection-DQWjAj1x.js";
import CurrentPrograms from "./CurrentPrograms-CkTfrGxf.js";
import GallerySection from "./GallerySection-CnFUvkL4.js";
import BlogSection from "./BlogSection-Clgyg_ZF.js";
import CTASection from "./Cta-DMgobpOg.js";
import "@inertiajs/react";
import "./main-logo-By_q1yM_.js";
import "fslightbox-react";
const Index = () => {
  useEffect(() => {
    $(".hero-content-wrapper").hide().fadeIn(1500);
    $(".nav-link").on("click", function(event) {
      if (this.hash !== "") {
        event.preventDefault();
        const hash = this.hash;
        $("html, body").animate({
          scrollTop: $(hash).offset().top
        }, 800);
      }
    });
  }, []);
  return /* @__PURE__ */ jsxs("div", { className: "home-wrapper", children: [
    /* @__PURE__ */ jsx(Navbar, {}),
    /* @__PURE__ */ jsxs("main", { children: [
      /* @__PURE__ */ jsx(HeroSection, {}),
      /* @__PURE__ */ jsx(AboutSection, {}),
      /* @__PURE__ */ jsx(CurrentPrograms, {}),
      /* @__PURE__ */ jsx(GallerySection, {}),
      /* @__PURE__ */ jsx(BlogSection, {}),
      /* @__PURE__ */ jsx(CTASection, {})
    ] }),
    /* @__PURE__ */ jsx(Footer, {})
  ] });
};
export {
  Index as default
};
